### Method

# Gtk Accessible update_relation

#### Declaration [src]

    void
    gtk_accessible_update_relation (
      GtkAccessible* self,
      GtkAccessibleRelation first_relation,
      ...
    )

#### Description [src]

Updates a list of accessible relations.

This function should be called by `GtkWidget` types whenever an accessible relation change must be communicated to assistive technologies.

If the `GtkAccessibleRelation` requires a list of references, you should pass each reference individually, followed by `NULL`, e.g.

`c gtk_accessible_update_relation (accessible, GTK_ACCESSIBLE_RELATION_CONTROLS, ref1, NULL, GTK_ACCESSIBLE_LABELLED_BY, ref1, ref2, ref3, NULL, -1);`.

#### Parameters

`first_relation` | `GtkAccessibleRelation`
| The first `GtkAccessibleRelation`.
`...` | ``
| A list of relation and value pairs, terminated by -1.